;;;; -*- lisp -*-

(in-package :it.bese.tar)

(defclass tar-file ()
  ((name     :accessor tar-file.name 	 :initform nil)
   (mode     :accessor tar-file.mode 	 :initform nil)
   (uid      :accessor tar-file.uid 	 :initform nil)
   (gid      :accessor tar-file.gid 	 :initform nil)
   (size     :accessor tar-file.size 	 :initform nil)
   (mtime    :accessor tar-file.mtime 	 :initform nil)
   (chksum   :accessor tar-file.chksum 	 :initform nil)
   (typeflag :accessor tar-file.typeflag :initform nil)
   (linkname :accessor tar-file.linkname :initform nil)
   (magic    :accessor tar-file.magic 	 :initform nil) ;; not functionally important
   (version  :accessor tar-file.version  :initform nil)
   (uname    :accessor tar-file.uname 	 :initform nil)
   (gname    :accessor tar-file.gname 	 :initform nil)
   (devmajor :accessor tar-file.devmajor :initform nil)
   (devminor :accessor tar-file.devminor :initform nil)
   (prefix   :accessor tar-file.prefix 	 :initform nil)
   (data     :accessor tar-file.data 	 :initform nil)))

(defclass tar ()
  ((contents :accessor tar.contents :initform nil)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;; Copyright (c) 2002-2003, Edward Marco Baringer
;;;; All rights reserved. 
;;;; 
;;;; Redistribution and use in source and binary forms, with or without
;;;; modification, are permitted provided that the following conditions are
;;;; met:
;;;; 
;;;;  - Redistributions of source code must retain the above copyright
;;;;    notice, this list of conditions and the following disclaimer.
;;;; 
;;;;  - Redistributions in binary form must reproduce the above copyright
;;;;    notice, this list of conditions and the following disclaimer in the
;;;;    documentation and/or other materials provided with the distribution.
;;;;
;;;;  - Neither the name of Edward Marco Baringer, nor BESE, nor the names
;;;;    of its contributors may be used to endorse or promote products
;;;;    derived from this software without specific prior written permission.
;;;; 
;;;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
;;;; "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;;;; LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
;;;; A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
;;;; OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
;;;; SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
;;;; LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
;;;; DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
;;;; THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
;;;; (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
;;;; OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
